<?php

return [

    /**
     * Provider.
     */
    'provider'  => 'beo',

    /*
     * Package.
     */
    'package'   => 'career',

    /*
     * Modules.
     */
    'modules'   => ['job', 'profile'],

    'job'       => [
        'model' => [
            'model' => \Beo\Career\Models\Job::class,
            'repository' => \Beo\Career\Repositories\Eloquent\JobRepository::class,
            'table' => 'jobs',
            'hidden'=> [],
            'visible' => [],
            'guarded' => ['*'],
            'slugs' => ['slug' => 'name'],
            'dates' => ['deleted_at', 'createdat', 'updated_at'],
            'appends' => [],
            'fillable' => ['id',  'title',  'country_id',  'state_id',  'district_id',  'city_id',  'location',  'schedule',  'responsibilities',  'desired_candidate_profile',  'status',  'slug',  'created_at',  'updated_at',  'deleted_at'],
            'translatables' => [],
            'upload_folder' => 'career/job',
            'uploads' => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts' => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision' => [],
            'perPage' => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider' => 'Beo',
            'package' => 'Career',
            'module' => 'Job',
        ],
    ],
    'profile'       => [
        'model' => [
            'model' => \Beo\Career\Models\Profile::class,
            'repository' => \Beo\Career\Repositories\Eloquent\ProfileRepository::class,
            'table' => 'profiles',
            'hidden'=> [],
            'visible' => [],
            'guarded' => ['*'],
            'slugs' => ['slug' => 'name'],
            'dates' => ['deleted_at', 'createdat', 'updated_at'],
            'appends' => [],
            'fillable' => ['id',  'title',  'name',  'email',  'phone',  'gender',  'dob',  'current_location',  'relocate_status',  'experience',  'notice_period',  'current_salary',  'expected_salary',  'notice_period_buyout',  'skills',  'links',  'know_about_beo',  'resume',  'slug',  'created_at',  'updated_at',  'deleted_at'],
            'translatables' => [],
            'upload_folder' => 'career/profile',
            'uploads' => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts' => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision' => [],
            'perPage' => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider' => 'Beo',
            'package' => 'Career',
            'module' => 'Profile',
        ],
    ],
];
