<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateProfilesTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: profiles
         */
        Schema::create('profiles', function ($table) {
            $table->increments('id');
            $table->string('title', 60)->nullable();
            $table->string('name', 100)->nullable();
            $table->string('email', 100)->nullable();
            $table->string('phone', 100)->nullable();
            $table->enum('gender', ['Male','Female'])->nullable();
            $table->date('dob')->nullable();
            $table->string('current_location', 100)->nullable();
            $table->enum('relocate_status', ['Yes','No'])->nullable();
            $table->string('experience', 60)->nullable();
            $table->string('notice_period', 60)->nullable();
            $table->float('current_salary')->nullable();
            $table->float('expected_salary')->nullable();
            $table->enum('notice_period_buyout', ['Yes','No'])->nullable();
            $table->longText('skills')->nullable();
            $table->longText('links')->nullable();
            $table->enum('know_about_beo', ['Friends','Job Portals','Social Media','Career Page','Others'])->nullable();
            $table->longText('resume')->nullable();
            $table->string('slug', 60)->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('profiles');
    }
}
