<?php

namespace Beo\Career\Forms;

use Litepie\Form\FormInterpreter;

class Job extends FormInterpreter
{

    /**
     * Sets the form and form elements.
     * @return null.
     */
    public static function setAttributes()
    {

        self::$urls = [
            'new' => [
                'url' => guard_url('career/job/new'),
                'method' => 'GET',
            ],
            'create' => [
                'url' => guard_url('career/job/create'),
                'method' => 'GET',
            ],
            'store' => [
                'url' => guard_url('career/job'),
                'method' => 'POST',
            ],
            'update' => [
                'url' => guard_url('career/job'),
                'method' => 'PUT',
            ],
            'list' => [
                'url' => guard_url('career/job'),
                'method' => 'GET',
            ],
            'delete' => [
                'url' => guard_url('career/job'),
                'method' => 'DELETE',
            ],
        ];
        self::$search = [
            'name' => [
                "type" => 'text',
                "label" => trans('career::career.label.name'),
                "placeholder" => trans('career::career.placeholder.name'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "4",
                "roles" => [],
            ]
        ];
        self::$orderBy = [
            'created_at' => trans('career::career.label.created_at'),
            'name' => trans('career::career.label.name'),
            'status' => trans('career::career.label.status'),
        ];
        self::$groups = [
            'main' => trans('career::career.groups.main'),
            'details' => trans('career::career.groups.details'),
            'images' => trans('career::career.groups.images'),
            'settings' => trans('career::career.groups.settings'),
        ];
        self::$list = [
            [
                'key' => "ref",
                'label' => trans('career::career.label.ref'),
                'sortable' => 'true',
                'roles' => [],
            ],
            [
                'key' => "id",
                'label' => trans('career::career.label.id'),
                'sortable' => 'true',
                'roles' => [],
            ],
            [
                'key' => "name",
                'label' => trans('career::career.label.name'),
                'sortable' => 'true',
                'roles' => [],
            ],
            [
                'key' => "status",
                'label' => trans('career::career.label.status'),
                'sortable' => 'true',
                'roles' => [],
            ],
        ];
        self::$fields = [
                'title' => [
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => trans('career::job.label.title'),
                "placeholder" => trans('career::job.placeholder.title'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'country_id' => [
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => trans('career::job.label.country_id'),
                "placeholder" => trans('career::job.placeholder.country_id'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'state_id' => [
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => trans('career::job.label.state_id'),
                "placeholder" => trans('career::job.placeholder.state_id'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'district_id' => [
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => trans('career::job.label.district_id'),
                "placeholder" => trans('career::job.placeholder.district_id'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'city_id' => [
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => trans('career::job.label.city_id'),
                "placeholder" => trans('career::job.placeholder.city_id'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'location' => [
                "element" => 'text',
                "type" => 'text',
                "label" => trans('career::job.label.location'),
                "placeholder" => trans('career::job.placeholder.location'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'schedule' => [
                "element" => 'text',
                "type" => 'text',
                "label" => trans('career::job.label.schedule'),
                "placeholder" => trans('career::job.placeholder.schedule'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'responsibilities' => [
                "element" => 'html_editor',
                "type" => 'html_editor',
                "label" => trans('career::job.label.responsibilities'),
                "placeholder" => trans('career::job.placeholder.responsibilities'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "12",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'desired_candidate_profile' => [
                "element" => 'html_editor',
                "type" => 'html_editor',
                "label" => trans('career::job.label.desired_candidate_profile'),
                "placeholder" => trans('career::job.placeholder.desired_candidate_profile'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "12",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
        ];

        return new static();
    }
}
