<?php

namespace Beo\Career\Forms;

use Litepie\Form\FormInterpreter;

class Profile extends FormInterpreter
{

    /**
     * Sets the form and form elements.
     * @return null.
     */
    public static function setAttributes()
    {

        self::$urls = [
            'new' => [
                'url' => guard_url('career/profile/new'),
                'method' => 'GET',
            ],
            'create' => [
                'url' => guard_url('career/profile/create'),
                'method' => 'GET',
            ],
            'store' => [
                'url' => guard_url('career/profile'),
                'method' => 'POST',
            ],
            'update' => [
                'url' => guard_url('career/profile'),
                'method' => 'PUT',
            ],
            'list' => [
                'url' => guard_url('career/profile'),
                'method' => 'GET',
            ],
            'delete' => [
                'url' => guard_url('career/profile'),
                'method' => 'DELETE',
            ],
        ];
        self::$search = [
            'name' => [
                "type" => 'text',
                "label" => trans('career::career.label.name'),
                "placeholder" => trans('career::career.placeholder.name'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "4",
                "roles" => [],
            ]
        ];
        self::$orderBy = [
            'created_at' => trans('career::career.label.created_at'),
            'name' => trans('career::career.label.name'),
            'status' => trans('career::career.label.status'),
        ];
        self::$groups = [
            'main' => trans('career::career.groups.main'),
            'details' => trans('career::career.groups.details'),
            'images' => trans('career::career.groups.images'),
            'settings' => trans('career::career.groups.settings'),
        ];
        self::$list = [
            [
                'key' => "ref",
                'label' => trans('career::career.label.ref'),
                'sortable' => 'true',
                'roles' => [],
            ],
            [
                'key' => "id",
                'label' => trans('career::career.label.id'),
                'sortable' => 'true',
                'roles' => [],
            ],
            [
                'key' => "name",
                'label' => trans('career::career.label.name'),
                'sortable' => 'true',
                'roles' => [],
            ],
            [
                'key' => "status",
                'label' => trans('career::career.label.status'),
                'sortable' => 'true',
                'roles' => [],
            ],
        ];
        self::$fields = [
                'title' => [
                "element" => 'text',
                "type" => 'text',
                "label" => trans('career::profile.label.title'),
                "placeholder" => trans('career::profile.placeholder.title'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'name' => [
                "element" => 'text',
                "type" => 'text',
                "label" => trans('career::profile.label.name'),
                "placeholder" => trans('career::profile.placeholder.name'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'email' => [
                "element" => 'text',
                "type" => 'text',
                "label" => trans('career::profile.label.email'),
                "placeholder" => trans('career::profile.placeholder.email'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'phone' => [
                "element" => 'text',
                "type" => 'text',
                "label" => trans('career::profile.label.phone'),
                "placeholder" => trans('career::profile.placeholder.phone'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'gender' => [
                "element" => 'radios',
                "type" => 'radios',
                "label" => trans('career::profile.label.gender'),
                "placeholder" => trans('career::profile.placeholder.gender'),
                "rules" => '',
                "options" => function(){
                    return [];
                },
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'dob' => [
                "element" => 'date_picker',
                "type" => 'date_picker',
                "label" => trans('career::profile.label.dob'),
                "placeholder" => trans('career::profile.placeholder.dob'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'current_location' => [
                "element" => 'text',
                "type" => 'text',
                "label" => trans('career::profile.label.current_location'),
                "placeholder" => trans('career::profile.placeholder.current_location'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'relocate_status' => [
                "element" => 'radios',
                "type" => 'radios',
                "label" => trans('career::profile.label.relocate_status'),
                "placeholder" => trans('career::profile.placeholder.relocate_status'),
                "rules" => '',
                "options" => function(){
                    return [];
                },
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'experience' => [
                "element" => 'text',
                "type" => 'text',
                "label" => trans('career::profile.label.experience'),
                "placeholder" => trans('career::profile.placeholder.experience'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'notice_period' => [
                "element" => 'text',
                "type" => 'text',
                "label" => trans('career::profile.label.notice_period'),
                "placeholder" => trans('career::profile.placeholder.notice_period'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'current_salary' => [
                "element" => 'decimal',
                "type" => 'decimal',
                "label" => trans('career::profile.label.current_salary'),
                "placeholder" => trans('career::profile.placeholder.current_salary'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'expected_salary' => [
                "element" => 'decimal',
                "type" => 'decimal',
                "label" => trans('career::profile.label.expected_salary'),
                "placeholder" => trans('career::profile.placeholder.expected_salary'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'notice_period_buyout' => [
                "element" => 'radios',
                "type" => 'radios',
                "label" => trans('career::profile.label.notice_period_buyout'),
                "placeholder" => trans('career::profile.placeholder.notice_period_buyout'),
                "rules" => '',
                "options" => function(){
                    return [];
                },
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'skills' => [
                "element" => 'html_editor',
                "type" => 'html_editor',
                "label" => trans('career::profile.label.skills'),
                "placeholder" => trans('career::profile.placeholder.skills'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "12",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'links' => [
                "element" => 'html_editor',
                "type" => 'html_editor',
                "label" => trans('career::profile.label.links'),
                "placeholder" => trans('career::profile.placeholder.links'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "12",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'know_about_beo' => [
                "element" => 'radios',
                "type" => 'radios',
                "label" => trans('career::profile.label.know_about_beo'),
                "placeholder" => trans('career::profile.placeholder.know_about_beo'),
                "rules" => '',
                "options" => function(){
                    return [];
                },
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'resume' => [
                "element" => 'html_editor',
                "type" => 'html_editor',
                "label" => trans('career::profile.label.resume'),
                "placeholder" => trans('career::profile.placeholder.resume'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "12",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
        ];

        return new static();
    }
}
