<?php

namespace Beo\Career\Repositories\Eloquent;

use Beo\Career\Interfaces\ProfileRepositoryInterface;
use Litepie\Repository\BaseRepository;
use Beo\Career\Repositories\Eloquent\Presenters\ProfileItemPresenter;


class ProfileRepository extends BaseRepository implements ProfileRepositoryInterface
{

    public function boot()
    {
        $this->fieldSearchable = config('beo.career.profile.model.search');
    }

    /**
     * Specify Model class name.
     *
     * @return string
     */
    public function model()
    {
        return config('beo.career.profile.model.model');
    }

    /**
     * Returns the default presenter if none is availabale.
     *
     * @return void
     */
    public function presenter()
    {
        return ProfileItemPresenter::class;
    }
}
