<?php

namespace Beo\Career\Workflow;

use Beo\Career\Models\Job;
use Beo\Career\Notifications\JobWorkflow as JobNotifyer;
use Notification;

class JobNotification
{

    /**
     * Send the notification to the users after complete.
     *
     * @param Job $job
     *
     * @return void
     */
    public function complete(Job $job)
    {
        return Notification::send($job->user, new JobNotifyer($job, 'complete'));;
    }

    /**
     * Send the notification to the users after verify.
     *
     * @param Job $job
     *
     * @return void
     */
    public function verify(Job $job)
    {
        return Notification::send($job->user, new JobNotifyer($job, 'verify'));;
    }

    /**
     * Send the notification to the users after approve.
     *
     * @param Job $job
     *
     * @return void
     */
    public function approve(Job $job)
    {
        return Notification::send($job->user, new JobNotifyer($job, 'approve'));;

    }

    /**
     * Send the notification to the users after publish.
     *
     * @param Job $job
     *
     * @return void
     */
    public function publish(Job $job)
    {
        return Notification::send($job->user, new JobNotifyer($job, 'publish'));;
    }

    /**
     * Send the notification to the users after archive.
     *
     * @param Job $job
     *
     * @return void
     */
    public function archive(Job $job)
    {
        return Notification::send($job->user, new JobNotifyer($job, 'archive'));;

    }

    /**
     * Send the notification to the users after unpublish.
     *
     * @param Job $job
     *
     * @return void
     */
    public function unpublish(Job $job)
    {
        return Notification::send($job->user, new JobNotifyer($job, 'unpublish'));;

    }
}
