<?php

namespace Beo\Career\Workflow;

use Beo\Career\Models\Profile;
use Beo\Career\Notifications\ProfileWorkflow as ProfileNotifyer;
use Notification;

class ProfileNotification
{

    /**
     * Send the notification to the users after complete.
     *
     * @param Profile $profile
     *
     * @return void
     */
    public function complete(Profile $profile)
    {
        return Notification::send($profile->user, new ProfileNotifyer($profile, 'complete'));;
    }

    /**
     * Send the notification to the users after verify.
     *
     * @param Profile $profile
     *
     * @return void
     */
    public function verify(Profile $profile)
    {
        return Notification::send($profile->user, new ProfileNotifyer($profile, 'verify'));;
    }

    /**
     * Send the notification to the users after approve.
     *
     * @param Profile $profile
     *
     * @return void
     */
    public function approve(Profile $profile)
    {
        return Notification::send($profile->user, new ProfileNotifyer($profile, 'approve'));;

    }

    /**
     * Send the notification to the users after publish.
     *
     * @param Profile $profile
     *
     * @return void
     */
    public function publish(Profile $profile)
    {
        return Notification::send($profile->user, new ProfileNotifyer($profile, 'publish'));;
    }

    /**
     * Send the notification to the users after archive.
     *
     * @param Profile $profile
     *
     * @return void
     */
    public function archive(Profile $profile)
    {
        return Notification::send($profile->user, new ProfileNotifyer($profile, 'archive'));;

    }

    /**
     * Send the notification to the users after unpublish.
     *
     * @param Profile $profile
     *
     * @return void
     */
    public function unpublish(Profile $profile)
    {
        return Notification::send($profile->user, new ProfileNotifyer($profile, 'unpublish'));;

    }
}
